# Config file for the UCSC Human Genome server

# the format is in the form of name/value pairs
# written 'name=value' (note that there is no space between
# the name and its value. Also, no blank lines should be in
# this file
###########################################################

include hg.conf.private

# for hgGeneGraph: location of the 'dot' binary
# for centos, we use a statically compiled version
# as the dot package on centos is too old
graphvizPath=/usr/local/apache/cgi-bin/loader/dot_static


#versionStamped=on
#browser.documentRoot=/usr/local/apache/htdocs-beta
#browser.trixPath=/hive/data/inside/trix/$db_trackDb_beta.ix

# trackDb table to use
db.trackDb=trackDb

# changing to relative path (adding "..")
browser.background=../images/floretBeta.jpg
# Comment out to disable new double/query insert highlighting options:
browser.indelOptions=on

# track search index name.  Since this resides in /gbdb/ then beta must have a uniquely named ix 
browser.trixPath=/data/trix/$db_trackDb.ix

#  customTracks database is used to hold custom tracks
#	For performance and security, it is on a separate server.
#       The database name is fixed at: customTrash
#       This is a define CUSTOM_TRASH in hg/inc/customTrack.h
#	switched to hgwslave on 2009-02-12 about 16:00
#customTracks.host=hgwslave
#	switched to customdb on 2011-12-06 at 11:00
customTracks.useAll=yes
customTracks.tmpdir=/data/tmp/ct

#  /data/tmp is the default tmpdir location, change this if desired elsewhere.
#  What you want is for it to be on a local filesystem, and it must be
#  read/write/delete enabled for the Apache browser effective user

# location of grepIndex files
#grepIndex.genbank=/gbdb/genbank/grepIndex
grepIndex.genbank=/gbdb/genbank/grepIndex
grepIndex.default=/gbdb

# Removed wikiTrack info 2018-10-05
#These wiki lines are needed by hgLogin
wiki.userNameCookie=BETAwikidb_mw1_UserName
wiki.loggedInCookie=BETAwikidb_mw1_UserID

# Settings to allow mirrors to set their own mail signature and return email address for hgLogin
# emails.
login.systemName=hgLogin CGI
login.browserName=UCSC Genome Browser
login.browserAddr=http://genome.ucsc.edu
login.mailSignature=UCSC Genome Browser Staff
login.mailReturnAddr=genome-www@soe.ucsc.edu


#Parameters for suggestion form
suggest.mailSignature=UCSC Genome Browser Staff
suggest.mailReturnAddr=genome-www@soe.ucsc.edu
suggest.browserName=UCSC Genome Browser


# Comment out to turn off survey link in hgTracks and hgGateway
#cath 7-12-16, Angie says that survey=on is no longer needed. Just uncomment 'survey' and 'surveyLabel'
# Change to survey=off (or remove survey setting) to retire the survey.
# survey=https://www.surveymonkey.com/s/5YYTRWQ
# surveyLabel=2011 ENCODE Usability Survey
# survey=https://www.bit.ly/ucscTraining
# surveyLabel=More on-site workshops available!
#survey=/index.html#newGateway
#surveyLabel=New Gateway Coming May 10, 2016!
#survey=https://www.surveymonkey.com/r/QYVSXKW
#surveyLabel=Take our feedback survey!
#surveyLabelImage=../images/surveyButton.jpg


# log signals
signalsHandler=on

#  turn on google analytics by setting this key.  This is the identifier
#       specified by your analytics account
#  set key for analytics account, used in the getTracker(key) function
# -3 for hgwdev, -4 for hgw0, -5 for gBiB, -6 for RR
analyticsKey=UA-4289047-6

# log stack dumps
browser.dumpStack=on

# node id
# browser.node=2

# Programs required for per-SNP geographic maps of HGDP population
# allele frequencies:
hgc.psxyPath=/hive/data/outside/GMT4.3.1/bin/psxy
hgc.ps2rasterPath=/hive/data/outside/GMT4.3.1/bin/ps2raster
hgc.ghostscriptPath=/usr/bin/ghostscript

udc.cacheDir=../trash/udcCache

#makes browser timeout after only 1min (instead of 20min)
#browser.cgiExpireMinutes=1

# Parallel fetching of remote network resources using bigDataUrl such as trackHubs and customTracks
# how many threads to use (set to 0 to disable)
parallelFetch.threads=100
# how long to wait in seconds for parallel fetch to finish
parallelFetch.timeout=90

# Temporary flag to help disable new custom track validator if needed
# If you turn the flag off, it reverts to the old validator 
#newCustomTrackValidate=on

# No Sql Injection settings
# values for level are ignore, logOnly, warn, abort
noSqlInj.level=abort
# values for dumpStack are on, off
noSqlInj.dumpStack=on

# line added to turn off the new hash-enhanced hgsid/uid values
#browser.sessionKey=off

# HTTPS Certificate Check Settings are: abort warn log none
# currently log is the default
#httpsCertCheck=none
httpsCertCheck=log
# domains to whitelist, skip cert checking, space-separated list
httpsCertCheckDomainExceptions=
# useful for testing, presence of "noHardwiredExceptions" in the list here 
# turns off the hardwired whitelist exceptions in https.c
#httpsCertCheckDomainExceptions=noHardwiredExceptions

# with wildcard for testing:
#httpsCertCheckDomainExceptions=noHardwiredExceptions *.upf.edu *.igh.cnrs.fr *.med.umich.edu

# Apply a maximum to the size of MAF and VCF custom tracks supplied
# directly (instead of via bigURLs).
#customTracks.maxBytes=52428800

# Log visible tracks to error_log
trackLog=on

# location of CRAM reference sequences
cramRef=/userdata/cramCache

# Display phylogenetic tree in hgGateway (URL relative to cgi-bin)
hgGateway.dbDbTaxonomy=../js/dbDbTaxonomy.js

# Set up thumbnails directory for public sessions CGI
sessionThumbnail.imgDir=../trash/hgPS
sessionThumbnail.webPath=../trash/hgPS
#Turns on short links for hgSession, allowing redirect to full link.
hgSession.shortLink=on

# If login is enabled, then the server should be configured to support HTTPS. 
# HTTPS is used for hgLogin by default. If the server cannot support HTTPS 
# but login is still enabled (not recommended), HTTPS for hgLogin can be 
# disabled by uncommenting this setting:login.https=off
#login.https=off
#
# Turn off option to save blat results as a custom track. Default is on.
#useBlatBigPsl=off

# GenomeSpace prod instance urls - turned off 11/18 refs #24044
#genomeSpace.dmServer=https://dm.genomespace.org/datamanager
#genomeSpace.identityServerUrl=https://identity.genomespace.org/identityServer/basic

# Separate directory for files that belong to saved sessions (hgSession).
# The path must be absolute (starts with /).
# This directory must be on the same filesystem as trash/ so hard links work.
# The purpose of this directory is to allow automated cleaning of old files
# from trash/ while keeping saved session files safe in a different location.
sessionDataDir=/userdata/sessions/beta
sessionDataDirOld=/userdata

# Name prefix of 31 separate databases (one for each day of month, on same
# server as customTrash, using customTracks.* profile) for custom track
# database tables that belong to users' saved sessions, analogous to
# sessionDataDir setting for saved session files.
# The databases must be named as this prefix followed by {01, 02, 03, ... 31}.
# For example, if the value is "customData" then the databases are named
# customData01, customData02, ... customData31.
sessionDataDbPrefix=customData

# Directory where a static cache of public hub files exists to
# support hub search.
hgHubConnect.cacheDir=../trash/hgHubConnect/hubCrawlBeta

#survey=http://bit.ly/ucscTraining
#surveyLabel= Request onsite workshops

#Outputs every single SQL call in the error logs
# JKSQL_TRACE=on

# Allow the URL: /cgi-bin/hubApi to produce a WEB page
# otherwise, it redirects to the help page
hubApi.allowHtml=on

#Allow hgHubConnect to run the hubCheck command
hgHubConnect.validateHub=on

# Setting speeds up the browser by caching large trackDb (such as big hubs)
cacheTrackDbDir=/dev/shm/trackDbCache

# Enable hgPhyloPlace:
hgPhyloPlaceEnabled=on
nextstrainHost=https://nextstrain.org
microbeTraceHost=https://cdcgov.github.io
hgPhyloPlaceServerDir=/userdata/hgPhyloPlace/hgwbeta

# Recommended track sets refs #25601
browser.recTrackSets=on

# Enable FreeType fonts
freeType=on
#freeTypeDir=/usr/share/fonts/default/Type1

# Database specific settings
wuhCor1_TopLink=http://genome.ucsc.edu/goldenPath/help/covidBrowserIntro.html
wuhCor1_TopLinkLabel=Quick start guide

# Related tracks
db.relatedTrack=relatedTrack

# prefix to genark hubs
genarkHubPrefix=https://hgdownload.soe.ucsc.edu/hubs

# Related tracks
db.relatedTrack=relatedTrack

# with wildcard for testing:
#httpsCertCheckDomainExceptions=noHardwiredExceptions *.upf.edu *.igh.cnrs.fr *.med.umich.edu

# Assembly-specific html (e.g. links to more info)
GCA_009914755.4_html=<b><a target=_blank style='font-size:small; position: absolute; margin-left: 1em' href='/goldenPath/newsarch.html#041222'>What is human CHM13-T2T?</a></b>

curatedHubPrefix=beta

udc.localDir=/gbdb

# show the hgTracks download track data in window interface popup
showDownloadUi=on

# Adding a line to allow for classic theme
#browser.theme.classic=theme-floret.css

# allows merging of carts - needed so that recommended track sets do not overwrite your own custom data #28525. Note to delete in future as we want this default
mergeRecommended=on

# show a message when hgTracks takes longer than X seconds to load
warnSeconds=40

# Enables the snake display option
canSnake=on

#new G4 key
analyticsKey=G-X4EVCTYJ3E

# show a tutorial on hgTracks to new users
showTutorial=on
